import * as Tiny from '@alipay/tiny.js';
/**
 * Cubemap texture which supports multiple user specified mipmaps.
 */
export declare class CubeMipmapTexture extends Tiny.BaseTexture {
    /** Returns an array of faces. */
    static get faces(): string[];
    /** Returns the number of mipmap levels. */
    get levels(): number;
    /**
     * Creates a new cubemap texture from the specified source.
     * @param source The array of mipmap sources. The format of the mipmap source
     * should be "cubemap_{{face}}.jpg". "{{face}}" will automatically be
     * replaced with the faces (posx, negx, posy, negy, posz, negz).
     */
    static fromSource(source: string[]): CubeMipmapTexture;
}
