import * as Tiny from '@alipay/tiny.js';
import { Fog } from '../extensions/fog/fog';
/**
 * glTF defines materials using a common set of parameters that are based on
 * widely used material representations from Physically-Based Rendering (PBR).
 */
export declare class glTFMaterial {
    alphaCutoff: number;
    alphaMode: string;
    doubleSided: boolean;
    roughness: number;
    metallic: number;
    baseColorTexture?: Tiny.Texture;
    metallicRoughnessTexture?: Tiny.Texture;
    normalTexture?: Tiny.Texture;
    occlusionTexture?: Tiny.Texture;
    occlusionStrength?: number;
    emissiveTexture?: Tiny.Texture;
    emissive: number[];
    baseColor: number[];
    unlit: boolean;
    fog?: Fog;
    name?: string;
    useSpecularAA: boolean;
    depthMask: boolean;
}
