import { Material } from '../material/material';
import { MeshShader } from '../mesh/mesh-shader';
interface LooseMap<T = any> {
    [key: string]: T;
}
export declare function registerSemanticMap(field: string, map: LooseMap): void;
export declare class glTFShaderMaterial extends Material {
    protected cfg: LooseMap;
    protected shaderTime: number;
    constructor(cfg: any);
    updateUniforms(mesh: any, shader: any): void;
    createShader(): MeshShader;
    private getModelView;
    private getModelViewProjection;
    private getModelViewInverseTranspose;
    private getTime;
}
export interface TechniquesData {
    vertexShader: string;
    fragmentShader: string;
    uniforms?: any;
    uniformValues?: any;
    attributes: any;
}
export declare class glTFTechniques {
    protected data: TechniquesData;
    protected vertexShader: string;
    protected fragmentShader: string;
    protected uniforms: LooseMap;
    protected mat: glTFShaderMaterial;
    constructor(cfg: TechniquesData);
    destroy(): void;
    private init;
    private decodeShader;
    private parseShader;
    private parseUniforms;
    get material(): glTFShaderMaterial;
    get uniform(): LooseMap<any>;
    get vs(): string;
    get fs(): string;
}
export {};
