import { Container3D } from '../container';
import { LightType } from './light-type';
export declare class Light extends Container3D {
    /** The type of the light. */
    type: LightType;
    /** The color of the light. */
    color: number[];
    /** The range of the light. */
    range: number;
    /** The intensity of the light. */
    intensity: number;
    /** The inner cone angle specified in degrees. */
    innerConeAngle: number;
    /** The outer cone angle specified in degrees. */
    outerConeAngle: number;
    /**
     * @deprecated 1.1.0 版本开始，不建议直接使用 direction 属性设置光照方向.
     * 建议通过旋转 Light 节点修改光照方向
     * 通过 light.worldTransform.forward 获取光照方向
     */
    direction: number[];
}
