import * as Tiny from '@alipay/tiny.js';
import { ImageBasedLighting } from './image-based-lighting';
import { Light } from './light';
/**
 * A lighting environment represents the different lighting conditions for a
 * specific object or an entire scene.
 */
export declare class LightingEnvironment {
    renderer: Tiny.Renderer;
    private _imageBasedLighting?;
    /** The lights affecting this lighting environment. */
    lights: Light[];
    /** The main lighting environment which is used by default. */
    static main: LightingEnvironment;
    /**
     * Creates a new lighting environment using the specified renderer.
     * @param renderer The renderer to use.
     */
    constructor(renderer: Tiny.Renderer, imageBasedLighting?: ImageBasedLighting);
    private onPrerender;
    get imageBasedLighting(): ImageBasedLighting;
    set imageBasedLighting(imageBasedLighting: ImageBasedLighting);
    /** Value indicating if this object is valid to be used for rendering. */
    get valid(): boolean | number[];
    destroy(): void;
}
