export declare namespace Mat4 {
    function getTranslation(mat: Float32Array, out: Float32Array): Float32Array;
    function getScaling(mat: Float32Array, out: Float32Array): Float32Array;
    function targetTo(eye: Float32Array, target: Float32Array, up: Float32Array, out?: Float32Array): Float32Array;
    function getRotation(mat: Float32Array, out?: Float32Array): Float32Array;
    function copy(a: Float32Array, out: Float32Array): Float32Array;
    function fromRotationTranslationScale(q: Float32Array, v: Float32Array, s: Float32Array, out: Float32Array): Float32Array;
    function multiply(a: Float32Array, b: Float32Array, out: Float32Array): Float32Array;
    function identity(out: Float32Array): Float32Array;
    function lookAt(eye: Float32Array, center: Float32Array, up: Float32Array, out: Float32Array): Float32Array;
    function perspective(fovy: number, aspect: number, near: number, far: number, out: Float32Array): Float32Array;
    function ortho(left: number, right: number, bottom: number, top: number, near: number, far: number, out: Float32Array): Float32Array;
    function invert(a: Float32Array, out: Float32Array): Float32Array;
    function transpose(a: Float32Array, out: Float32Array): Float32Array;
    function fromScaling(v: Float32Array, out: Float32Array): Float32Array;
    function fromTranslation(v: Float32Array, out: Float32Array): Float32Array;
    function multiplyScalar(a: Float32Array, b: number, out: Float32Array): Float32Array;
    function add(a: Float32Array, b: Float32Array, out: Float32Array): Float32Array;
    function fromQuaternion(q: Float32Array, out: Float32Array): Float32Array;
}
