import * as Tiny from '@alipay/tiny.js';
import { Mesh3D } from '../mesh/mesh';
import { Model } from '../model';
import { Camera } from '../camera/camera';
/**
 * Hit area which uses the shape of an object to determine interaction.
 */
export declare class PickingHitArea implements Tiny.IHitArea {
    object: Mesh3D | Model;
    useSkin: boolean;
    camera?: Camera;
    private _manager;
    /** The id which maps to the object. */
    id: Uint8Array;
    /**
     * Creates a new hitarea using the specified object.
     * @param renderer The renderer to use.
     * @param object The model or mesh to test for interaction.
     * @param camera The camera to use when rendering the object.
     */
    constructor(renderer: Tiny.Renderer, object: Mesh3D | Model, useSkin?: boolean, camera?: Camera);
    removeHitArea(): void;
    contains(x: number, y: number): boolean;
}
