import * as Tiny from '@alipay/tiny.js';
import { PickingHitArea } from './picking-hitarea';
import { Mesh3D } from '../mesh/mesh';
import { PickingShader } from './shader/picking-shader';
export declare class PickingMap {
    private _renderer;
    private _pixels;
    private _output;
    private _shader;
    private _skinShaders;
    private _update;
    constructor(_renderer: Tiny.Renderer, width: number, height: number);
    resize(width: number, height: number): void;
    containsId(x: number, y: number, hitArea: PickingHitArea): boolean;
    get width(): number;
    get height(): number;
    updateEveryOtherFrame(hitAreas: PickingHitArea[]): void;
    update(hitAreas: PickingHitArea[]): void;
    renderFrame(hitAreas: PickingHitArea[]): void;
    getCurrentShader(hitArea: PickingHitArea, mesh: Mesh3D): PickingShader;
    buildShaderString(shaderStr: string, features?: any[]): string;
    getMeshShow(mesh: Mesh3D): boolean;
}
