import { Joint } from './joint';
import { Mesh3D } from '../mesh/mesh';
/**
 * Represents a skin used for vertex skinning.
 */
export declare class Skin {
    joints: Joint[];
    readonly name: string;
    private _transformIds;
    /**
     * Creates a new skin..
     * @param joints The array of joints included in the skin.
     */
    constructor(/*public parent: Container3D,*/ joints: Joint[], name?: string);
    private _jointVertexMatrices;
    private _arrayVertexMatrices;
    private _jointNormalMatrices;
    private _arrayNormalMatrices;
    get jointVertexMatrices(): Float32Array;
    get jointNormalMatrices(): Float32Array;
    /**
     * Calculates the joint matrices.
     */
    calculateJointMatrices(mesh: Mesh3D): {
        jointVertexMatrices: Float32Array;
        jointNormalMatrices: Float32Array;
    };
    getJointByName(inName: string): Joint;
}
