/**
 * Represents a point in 3D space.
 */
import * as Tiny from '@alipay/tiny.js';
export declare class ObservablePoint3D extends Tiny.ObservablePoint {
    protected _z: number;
    /**
     * Creates a new observable point.
     * @param cb The callback when changed.
     * @param scope The owner of callback.
     * @param x The position on the x axis.
     * @param y The position on the y axis.
     * @param z The position on the z axis.
     */
    constructor(cb: () => void, scope: any, x?: number, y?: number, z?: number);
    /**
     * Position on the z axis relative to the local coordinates of the parent.
     */
    get z(): number;
    set z(value: number);
    toArray(): number[];
    clone(cb?: (...params: any[]) => any, scope?: any): ObservablePoint3D;
    copy(point: ObservablePoint3D): this;
    equals(p: ObservablePoint3D): boolean;
    /**
     * Sets the point to a new x, y and z position.
     * @param x The position on the x axis.
     * @param y The position on the y axis.
     * @param z The position on the z axis.
     */
    set(x?: number, y?: number, z?: number): this;
}
